## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%{?python_enable_dependency_generator}
%global srcname terminado
# python2-tornado package is too old on EPEL

Name:           python-%{srcname}
Version:        0.18.0
Release:        %autorelease
Summary:        Terminals served to term.js using Tornado websockets

License:        BSD-2-Clause
URL:            https://github.com/jupyter/terminado
Source0:        https://github.com/jupyter/terminado/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This is a Tornado websocket backend for the term.js Javascript terminal
emulator library.



%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Terminals served to term.js using Tornado websockets
BuildRequires:  python%{python3_pkgversion}-devel
# For tests
BuildRequires:  python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{srcname}
This is a Tornado websocket backend for the term.js Javascript terminal
emulator library.


%prep
%setup -q -n %{srcname}-%{version}

%if 0%{?rhel} == 9
sed -i 's/hatchling>=1.5/hatchling>=0.25/g' pyproject.toml
%endif

%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
# Workaround error in tests, for more info see
# https://bugzilla.redhat.com/show_bug.cgi?id=1914880
echo "set enable-bracketed-paste off" > .inputrc
export INPUTRC=$PWD/.inputrc
%pytest -v
 

%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md README.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.18.0-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Nov 11 2023 Orion Poplawski <orion@nwra.com> - 0.18.0-1
- Update to 0.18.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 22 2023 Python Maint <python-maint@redhat.com> - 0.17.1-5
- Rebuilt for Python 3.12

* Wed Feb 01 2023 Jonathan Wright <jonathan@almalinux.org> - 0.17.1-4
- Use older hatchling on el9

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Dec 09 2022 Orion Poplawski <orion@nwra.com> - 0.17.1-2
- Use SPDX License tag

* Thu Dec 08 2022 Orion Poplawski <orion@nwra.com> - 0.17.1-1
- Update to 0.17.1

* Thu Oct 27 2022 Orion Poplawski <orion@nwra.com> - 0.17.0-1
- Update to 0.17.0

* Sat Oct 01 2022 Orion Poplawski <orion@nwra.com> - 0.16.0-1
- Update to 0.16.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.15.0-2
- Rebuilt for Python 3.11

* Mon May 16 2022 Orion Poplawski <orion@nwra.com> - 0.15.0-1
- Update to 0.15.0

* Wed Mar 09 2022 Orion Poplawski <orion@nwra.com> - 0.13.3-1
- Update to 0.13.3

* Fri Mar 04 2022 Orion Poplawski <orion@nwra.com> - 0.13.2-1
- Update to 0.13.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Orion Poplawski <orion@nwra.com> - 0.12.1-1
- Update to 0.12.1

* Thu Aug 19 2021 Orion Poplawski <orion@nwra.com> - 0.11.1-1
- Update to 0.11.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 12 2021 Orion Poplawski <orion@nwra.com> - 0.10.1-1
- Update to 0.10.1

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.10.0-2
- Rebuilt for Python 3.10

* Sun May 30 2021 Orion Poplawski <orion@nwra.com> - 0.10.0-1
- Update to 0.10.0

* Mon May 17 2021 Tomas Hrnciar <thrnciar@redhat.com> - 0.9.1-3
- Workaround tests failures so package starts to build again

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Sep 20 2020 Orion Poplawski <orion@nwra.com> - 0.9.1-1
- Update to 0.9.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 24 2020 Miro Hrončok <mhroncok@redhat.com> - 0.8.3-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 18 2019 Orion Poplawski <orion@nwra.com> - 0.8.3-1
- Update to 0.8.3

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.8.2-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Sun Aug 18 2019 Miro Hrončok <mhroncok@redhat.com> - 0.8.2-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Mar 31 2019 Orion Poplawski <orion@nwra.com> - 0.8.2-1
- Update to 0.8.2

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jan 11 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-8
- Enable python dependency generator

* Wed Jan 09 2019 Miro Hrončok <mhroncok@redhat.com> - 0.8.1-7
- Subpackage python2-terminado has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Mon Oct 08 2018 Orion Poplawski <orion@cora.nwra.com> - 0.8.1-6
- BR pip for install

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 27 2018 Petr Viktorin <pviktori@redhat.com> - 0.8.1-4
- Test using nose, which the project's README suggests

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.1-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Miro Hrončok <mhroncok@redhat.com> - 0.8.1-1
- Updated to 0.8.1 (#1513790)
- The package now uses flit
- The tests are now invoked with pytest
- LICENSE.txt renamed to LICENSE
- Be more explicit in %%files

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Orion Poplawski <orion@cora.nwra.com> - 0.6-2
- Run tests verbosely
- Do not build for python2 on EPEL

* Mon Feb 22 2016 Orion Poplawski <orion@cora.nwra.com> - 0.6-1
- Update to 0.6
- Modernize spec

* Mon Jul 27 2015 Orion Poplawski <orion@cora.nwra.com> - 0.5-3
- Add python2-terminado provides

* Fri Jul 10 2015 Orion Poplawski <orion@cora.nwra.com> - 0.5-2
- Build python2/3 from same tree
- BR/R tornado 4.0.0
- Fix changelog version number

* Tue May  5 2015 Orion Poplawski <orion@cora.nwra.com> - 0.5-1
- Initial package

## END: Generated by rpmautospec
